#!/bin/bash

#
# useradd backuser
# mkdir /home/backuser/backup/daily
# mkdir /home/backuser/backup/weekly
# mkdir /home/backuser/backup/monthly
# touch /usr/local/sbin/bak-daily.sh
# touch /usr/local/sbin/bak-weekly.sh
# touch /usr/local/sbin/bak-monthly.sh
# chmod 700 /usr/local/sbin/bak-daily.sh
# chmod 700 /usr/local/sbin/bak-weekly.sh
# chmod 700 /usr/local/sbin/bak-monthly.sh

######################################################################################################

#!/bin/bash

#
# backup GIORNALIERO
# /usr/local/sbin/bak-daily.sh


# creazione del backup dei file
tar -I lbzip2 -cf  /home/backuser/backup/daily/backup-$(date +%Y%m%d).tar.gz --absolute-names /var/www/html

# creazione del backup dei database
mariadb-dump --all-databases | lbzip2 -c > /home/backuser/backup/daily/backup-$(date +%Y%m%d).sql.bz2

# correzione PERMESSI
chown backuser:backuser -R /home/backuser/backup/daily

# rimozione dei backup più vecchi di 7 giorni
find /home/backuser/backup/daily/* -mtime +7 -delete

######################################################################################################

#!/bin/bash

#
# backup SETTIMANALE
#  /usr/local/sbin/bak-weekly.sh


# creazione del backup dei file
tar -I lbzip2 -cf /home/backuser/backup/weekly/backup-$(date +%Y%m%d).tar.gz --absolute-names /var/www/html

# creazione del backup dei database
mariadb-dump --all-databases | lbzip2 -c > /home/backuser/backup/daily/backup-$(date +%Y%m%d).sql.bz2

# rimozione dei backup più vecchi di 31 giorni
find /home/backuser/backup/weekly/* -mtime +31 -delete

######################################################################################################

#!/bin/bash

#
# backup MENSILE
#  /usr/local/sbin/bak-monthly.sh


# creazione del backup dei file
tar -I lbzip2 -cf /home/backuser/backup/monthly/backup-$(date +%Y%m%d).tar.gz --absolute-names /var/www/html

# creazione del backup dei database
mariadb-dump --all-databases | lbzip2 -c > /home/backuser/backup/daily/backup-$(date +%Y%m%d).sql.bz2

# rimozione dei backup più vecchi di 365 giorni
find /home/backuser/backup/monthly/* -mtime +365 -delete

######################################################################################################
#
# AUTOMAZIONE DEL BACKUP tramite CRON
#
# invocare ``sudo crontab -e`` e inserire le righe qui sotto senza #
# -------------------------------------------------------------------
#
# 15 0 * * * /usr/local/sbin/bak-daily.sh
# 30 0 * * 1 /usr/local/sbin/bak-weekly.sh
# 45 0 1 * * /usr/local/sbin/bak-monthly.sh
